#!/usr/bin/python3

# Developed by Ehsan Abedian
# Send bug reports to abedian2014@gmail.com

import os,sys
from datetime import datetime

# Convert a list that contains time, to Posix Time
def PosixTime(list):
    RL=[]
    for i in list:
        RL.append(int(i))

    R=datetime(*RL)
    print(R,RL)
    return R.timestamp()

# Save download links from input file to an specific file in program directory
path='/Persian_Scheduler/'
FileL=open(sys.argv[1],'r')
DownloadListF=open(path+'DownloadList','w')
DownloadListF.write(FileL.read())
DownloadListF.close()
FileL.close()

# get start and stop time from input
StartT= sys.argv[2]
StopT= sys.argv[3]

StopT = StopT.split(' ')
StopT = PosixTime(StopT)

if StartT not in ('Now','now'):
    StartT = StartT.split(' ')
    StartT = PosixTime(StartT)
    os.system("rtcwake -m no -t %d" % StartT)

DownloadTimeF=open(path + "DownloadTime", "w")
DownloadTimeF.write(str(StartT)+'\n'+str(StopT))
DownloadTimeF.close()

os.system('sudo python3 %s' % (path + 'Downloader.py'))


